> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dojah.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Lookup TIN

> An endpoint allows you to fetch your end user's details using the Tax Identification Number of the person

### What is TIN ?

TIN means Tax Identification Number. It is an identification number used for tax purposes

<ParamField header="AppId" type="string" required>
  Application ID from dashboard
</ParamField>

#### Query parameter

<ParamField query="tin" type="string" required>
  Tax Identification Number
</ParamField>

#### RESPONSES

<ResponseField name="200" type="json">
  json
</ResponseField>

<ResponseField name="400" type="Object">
  <Expandable title="properties">
    <ResponseField name="error" type="string">
      error message
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="401" type="Object">
  <Expandable title="properties">
    <ResponseField name="error" type="string">
      error message
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json 200 theme={null}
  {
    "entity": {
      "search": "21148119-0001",
      "taxpayer_name": "SOLUTIONS NIGERIA LIMITED LAGOS",
      "cac_reg_number": "1435631",
      "firstin": "21148119-0031",
      "jittin": "N/A",
      "tax_office": "MSTO IKOYI",
      "phone_number": "07852417676",
      "email": "tola@hotmail.com"
    }
  }
  ```

  ```json 400 theme={null}
  {
    "error": "Invalid request parameters"
  }
  ```

  ```json 401 theme={null}
  {
    "error": "App Couldn't be Validated"
  }
  ```
</ResponseExample>
